<?xml version="1.0" encoding="utf-8" ?>
<install type="module">
	<name>odyssey_google_map</name>
	<title>Odyssey Google Map</title>
	<protected>1</protected>
	<version>2.0</version>
	<author>korinthorama.gr</author>	
	<files>
		<file type="root">odyssey_google_map.php</file>
		<file type="root">translations.txt</file>
	</files>
	<images>
		<image></image>
	</images>				
	<params>
		<param type="textfield" size="10" name="marginTop" label="marginTop" description="Το άνω εξωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="marginRight" label="marginRight" description="Το δεξί εξωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="marginBottom" label="marginBottom" description="Το κάτω εξωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="marginLeft" label="marginLeft" description="Το αριστερό εξωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="paddingTop" label="paddingTop" description="Το άνω εσωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="paddingRight" label="paddingRight" description="Το δεξί εσωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="paddingBottom" label="paddingBottom" description="Το κάτω εσωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="paddingLeft" label="paddingLeft" description="Το αριστερό εσωτερικό περιθώριο του ενθέματος">0</param>
		<param type="checkbox" name="useModuleContainer" label="useModuleContainer" description="Να εσωκλείεται το περιεχόμενο μέσα σε container. Χωρίς αυτό κάποιες παραμετροποιήσεις δεν θα είναι εφικτές">1</param>				
		<param type="textfield" size="10" name="widthInPixels" label="widthInPixels" description="Πλάτος του module container σε pixels"></param>					

		<param required="true" type="textfield" name="mapWidth" label="mapWidth" description="Το πλάτος του χάρτη σε ύψος σε pixels ή %">450</param>
		<param required="true" type="textfield" name="mapHeight" label="mapHeight" description="Το ύψος του χάρτη σε ύψος σε pixels">450</param>
        <param required="true" type="textfield" name="globalVarName" label="globalVarName" description="Το όνομα της καθολικής μεταβλητής του χάρτη">map</param>
		<param required="true" type="section" criteria=" isMenu=0 and systemProtected=0 " name="dataSource" label="dataSource" description="Το όνομα της ενότητας στην οποία ανήκει η εγγραφή του χάρτη">companies</param>	
		<param type="select" default="ROADMAP" name="mapMode" label="mapMode" description="Τύπος χάρτη">
			<item value="ROADMAP">Normal</item>
			<item value="SATELLITE">Satelite</item>
			<item value="TERRAIN">Physical</item>
		</param>
		<param required="true" type="textfield" name="apiKey" label="apiKey" description="API Key"></param>
        <param type="checkbox" name="nightVision" label="nightVision" description="Νυκτερινή εμφάνιση">0</param>
		<param type="checkbox" name="googleMapsLink" label="googleMapsLink" description="Να συμπεριλαμβάνεται link προς Google Maps">1</param>
		<param type="checkbox" name="useDirections" label="useDirections" description="Να συμπεριλαμβάνονται και οδηγίες διαδρομής">1</param>		
		<param type="checkbox" name="printMap" label="printMap" description="Να υπάρχει δυνατότητα εκτύπωσης του χάρτη">1</param>		
		<param type="textarea" rows="5" cols="50" name="cssContent" label="cssContent" description="Το περιεχόμενο του override css αρχείου που θα χρησιμοποιηθεί"></param>
		<param type="gmap" name="customCoordinates" label="customCoordinates" description="Να γίνει χρήση συγκεκριμένων συντεταγμένων"></param>	
				
		<param type="select" default="center" name="moduleAlign" label="moduleAlign" description="Η στοίχιση με την οποία θα εμφανίζεται το ένθεμα">
			<item value="left">αριστερά</item>
			<item value="center">κέντρο</item>
			<item value="right">δεξιά</item>
		</param>
		<param type="select" default="none" name="moduleHR" label="moduleHR" description="Εμφάνιση διαχωριστικού hr στο ένθεμα">
			<item value="none">χωρίς διαχωριστικό</item>
			<item value="top">επάνω διαχωριστικό</item>
			<item value="bottom">κάτω διαχωριστικό</item>
		</param>
	</params>

</install>